* This history was copied from the source [here](https://github.com/Joystream/handbook/blob/master/testnet/founding-member-program.md#history). 
* It was written by `tomato` during February 2022

## History

* **`11/12/2018`**
  * The Joystream project was launched by Jsgenesis ([Blog post](https://blog.joystream.org/jsgenesis/)), JSG was created from inception to focus on the coding and system elements of the platform, while the running of the platform was entrusted to users under the motto [_"We are building Joystream to set it free"_](https://www.jsgenesis.com)
* **`21/12/2018-19/05/2020`**
  * Various testnets were launched over this time period (`Mesopotamia`, `Sparta`, `Athens`, `Acropolis`, `Rome`).
  * All incentives were directly paid in USD (XMR) for work performed on the network. This meant that none of the balances on the testnet were of much consequence.
* **`20/05/2020`**
  * `Constantinople` testnet was launched ([Blog post](https://blog.joystream.org/constantinople-released/)). This for the first time created the concept of `tJOY` and a `fiat pool` allowing for testnet participants to be directly incentivized by tokens on the testnet and have their incentives be impacted by the DAO and community's decisions. The network was initially backed by a pool of `$2500 USD` that was managed by Jsgenesis ([Blog Post](https://blog.joystream.org/constantinople-incentives/)).
    * As of early 2022, the `fiat pool` had increased from the intial `$2500 USD` to over `$65,000 USD`, paying out more than `$93,000 USD` in incentives to users.
  * The `tJOY` balances were exchangeable into `USD` by exchanging them for `Monero` and eventually `Bitcoin Cash`.
  * This release also introduced `KPIs` which were a set of goals for each council to work toward to gain more incentives ([First KPI blog post](https://blog.joystream.org/constantinople-kpis/)).
    * As of early 2022, the potential weekly `KPI` rewards had increased from `$200 USD` to as much as `$4800 USD`.
* **`14/02/2021`**
  * [The `Founding Members` program was launched](https://blog.joystream.org/founding-member-program/). This program offered mainnet tokens to platform participants for the first time, in addition to the more immediate financial incentives available via the incentivized testnet. It was intended for this program to run up until mainnet launch of the project, however in early 2022 it was discontinued in favor of the new system.
    * Participating users were required to produce a document outlining their activity on the testnet which would be graded and given points, and unlike many programs within cryptocurrency projects, only gave actual allocations to those inducted as `Founding Members` (selected by JSG based upon the quality of their participation and contributions over time). You can access [notes from each scoring period](https://github.com/Joystream/founding-members/tree/main/scoring-periods) as well as a list of [`Founding Members`](https://github.com/Joystream/founding-members/tree/main/inducted).
    * Up until this point, no mainnet tokens were offered to users. Regardless of this, a few users had participated heavily beyond the immediate `USD` incentives by producing bots, scripts, documents, driving activity and growth as well contributing feedback, ideas and improvements to the platform. Jsgenesis selected 5 of the most valuable contributors as [`Initial Founding Members`](https://github.com/Joystream/founding-members/blob/main/scoring-periods/1.md) and gave them a generous allocation of mainnet tokens. This was explained further [here](https://github.com/Joystream/founding-members/tree/main/inducted#note-on-initial-founding-members).
    * None of the tokens given to community participants had any value attached. Jsgenesis had recieved investments from various firms however did not disclose any information regarding any valuation of the project.
* **`13/01/2022`**
  * Jsgenesis [announced](https://blog.joystream.org/important-updates-to-incentives-scheme/) the discontinuation of the the `points` system for the Founding Members program.
    * All points were converted into token allocations and given a potential USD value based on the valuation of the project. A deadline of `26/01/2022` was also given for any final reports to be submitted. The `KPI` system was also going to be discontinued upon launch of the new incentives system.
    * The valuation of the project was made public for the first time giving users an opportunity to see for the first time the potential financial value of their contributions so far as well as the potential future rewards available by participating further.
    * Users who were not inducted as `Founding Members` also had all of their points converted into potential token allocations, however they would still be required to contribute more to obtain `FM` status from Jsgenesis.
* **`26/01/2022`**
  * The old `Founding Member` program officially came to an end.
  * With `Olympia` (the largest testnet release to date) and a new `Founding Member` program launching, it would also involve wiping some amount of content from the testnet.
    * Prior to this upgrade, the testnet, incentives, `FM` program, `KPI` system had come together around a nascent, dedicated community and managed to produce a truly staggering amount of activity--including more than 1,400+ on-chain proposals, 3,400+ on-chain memberships, 11,000+ on-chain forum posts, 90+ on-chain forum threads, on-chain elections involving more than `$16,000 USD` worth of stake, more than 85 workers concurrently working on-chain and being paid automatically by a DAO maintained by more than 50 validators. While also sustaining a storage and distribution network serving more than 5,500 video uploads managed by the DAO.
