## Community Roadmap

This readme is a basic description of the `Community Roadmap` to get the ball rolling and details will be added over time. Everything in this folder has been written by @tomato with the goal of having the community participate and take full ownership before anything is actually agreed upon.

The idea is still in the process of being drafted, refined and approved by the community before it would proceed fully, but the general idea would be to draft and soft approve on critical early stage proposals by utilizing the councils elected on the testnet by submitting text proposals. Rather than focusing on the addition of new features post-launch, much of it is intended to revolve around governance.

`research.md` contains some examples of other community roadmaps and more critically looks at examples of better ways to store documentation compared to Markdown files within Github.

***

The Community Roadmap is an initiative that will start during the testnet phase of the project and is aimed at pulling together the ideas and ambitions of the community to ensure that mainnet launch is successful and has some coordination and structure.

Goals:
* Aim for genesis launch to have an involved community who have some cohesion and structure to ensure success of the platform.
* Get users interested in governance and the testnet councils to start thinking longer term.
* Create a list of drafted proposals that can be submitted upon genesis launch at appropriate times.
* Create an initial organizational structure (labels, categories) for drafts of proposals.
* Create a system so that the council and all platform participants can at any time have a structured, easily accessible overview of governance and minimize time having to be spent manually reading through old proposals.
* Try to agree upon critical components of communication and reporting so that working groups and the council and governance in general can operate efficiently.
* Try to develop a range of templates and standardized formatting for regular tasks (such as mint refill requests).

A much fuller description of some aspects of this initiative can be read here: https://github.com/Joystream/community-repo/issues/710



The plans for this initiative would be stored in two places:
- The `Community Repo` on Github: https://github.com/Joystream/community-repo
- The `Community Roadmap` area within Joystream's Notion: https://joystream.notion.site/Community-Roadmap-6aadc1a9e1674b35af27097c1ec6d26d
