# Jsgenesis Backers Addresses

Date: 12-28-2022
Author: isonar
Version: 0.1.0

## About this Document 
Below is the list of wallet addresses believed to be in custody by Jsgenesis backers. Jsgenesis did not commission, sanction, review, or comment on the data contained here (see Appendix 1.) The sole purpose of this research is to increase Joystream DAO transparency, as well as to give Joystream community members a way to monitor investor activity (selling large volume of project tokens, elections influence, etc) which is the primary factor impacting the project token price. 

The exact count of legal entities (or private persons) backing Jsgenesis cannot be inferred from the data in Appendix 1, because most backers have probably asked Jsgenesis to split their total share among several addresses. One can try to estimate the approximate backers figure by observing "clusters" of addresses with the same balance, but we leave this exercise to reader's discretion. 

## Method of Obtaining the Data 
Appendix 1 records are sorted in the descending order of `Total Balance`, as captured on December 28th, 2022, approximately at 4am EET. We obtained this data independently from Jsgenesis by manually parsing the output of `system.account` API call and detecting the addresses that has around `79%` unlocked `$JOY` balances. Such manual approach is by definition error prone, but a simple sanity check (sum of all Total balances) gives `31.78%` investor share, versus the [officially disclosed](https://joystream.gitbook.io/testnet-workspace/usdjoy#genesis-block) `32.33%`,  gives a decent, although a not ideal, result. 


## Data Errors
Instead of modifying this document directly, kindly reach out to us on Github in case you find errors in this data. 

## Appendix 1. Blockchain addresses believed to belong to Jsgenesis investors
|##         |Total Balance|Vested Amount     |Liquidity %                                      |Address                                          |
|-----------|-------------|-----------|-------------------------------------------------|-------------------------------------------------|
|1          |190,850,000  |40,078,500 |79                                               |j4SRrm45uSxgKiJKpicSmtc9yJBHJtYGyfa1iuPtctrSf1qZu|
|2          |21,000,000   |4,410,000  |79                                               |j4TebSaavpcpeztpDbcouVvs2Y3dxCJHGUVbn2tyxjDFBhmyk|
|3          |7,000,000    |1,470,000  |79                                               |j4SNDeUBmmi5EYDtCeUbJTx3j5Dd6deJXZw2CuKdt8ExttbtF|
|4          |5,850,000    |1,228,500  |79                                               |j4SqP3TEdNemb6yYpdCzxrUTYWnR3XBwuenaZ4fPhbzZtdExx|
|5          |5,833,334    |1,225,000  |79.0000024                                       |j4S1yKtAmtkyUWBV7ZHHTsvVnQ6UZFzoQxgVjBBUZNoTt7NYq|
|6          |5,000,008    |1,050,001  |79.0000136                                       |j4WFhDZoXTwvh184Mxzx1jc9ek2PXzuZnDmWxm28TguSYpwgR|
|7          |5,000,000    |1,050,000  |79                                               |j4VdRGKxx9EBdGfuQaXZPTYpejosuQff2dP7415SenPdEwyq2|
|8          |5,000,000    |1,050,000  |79                                               |j4SnUe4gbNqrhJ4PJLqWiiYh1dNMNsMZJjW4qWxNxAfC1RRK1|
|9          |4,166,667    |875,000    |79.00000168                                      |j4T6EPqDBoGA64i8b8jCYZoHE2DyRiNoXRHMSono7AjoQaaWh|
|10         |4,166,667    |875,000    |79.00000168                                      |j4SZJ967AVoNUUiWXSn2QRnjG6ADhGATx1jsLRTomhAvX593L|
|11         |4,166,667    |875,000    |79.00000168                                      |j4TN2fgVJjsATiojEnJdF4ofKx2UfGnDYEnRdrzQ1SSiAkC9o|
|12         |4,166,667    |875,000    |79.00000168                                      |j4Uj2GJLKV4wbsPkAoQEGKqxdEsyfefCwfrveLz6XtDinQg8M|
|13         |4,166,667    |875,000    |79.00000168                                      |j4VYHWcPF9c9B9Xstf7csncLpdwSXBBmybW9Ff4JqavY4K1kx|
|14         |3,477,790    |875,000    |74.84034724                                      |j4RuyV6AnMA1BMBZD2545AGLdxi1uV5UeACMNy4AzWpE7XEq3|
|15         |3,333,334    |700,000    |79.0000042                                       |j4SCJJPERQT46evHQfgHNk2etyq6zrbZWuhMctjFhcgUSm3XD|
|16         |3,333,334    |700,000    |79.0000042                                       |j4WXmppKCPWVWcR2Gc81xoEEzboPhqubKVAA1MgJsRsNK24H4|
|17         |3,333,334    |700,000    |79.0000042                                       |j4TKW2hxBpjcjWqAcRw4ZEJnEWCw7VyLyrT8GLEFxv7LzEuGC|
|18         |3,333,334    |700,000    |79.0000042                                       |j4VMX4tz5EpMoXtMimDSErNDZwB9EwE8VbnjcLMPchnj7b6DS|
|19         |3,333,334    |700,000    |79.0000042                                       |j4RgiCk2dYsy47SfCeMFvVHkq6ELn9yDGHeaHAz6rhiWoNfGb|
|20         |2,500,167    |525,035    |79.0000028                                       |j4RkVsnTTXUxLtoYFwKdDS1mFvPiPDukXWmx6oFxP6Z2SgFLG|
|21         |2,500,014    |525,002    |79.0000376                                       |j4TYy6GCAwbZqxM2Pi8N7HS3rECSHpv9oAd71mgQ1WvHAmBkt|
|22         |2,500,000    |525,000    |79                                               |j4WiT7NQeeYxUeDWpcrYyWyAyjTWN1T9PEas7Zi43vsdoaBzM|
|23         |2,500,000    |525,000    |79                                               |j4RpVXQDySw2QdaLMUH1qt4wRQYMXBwaSNsAagjHp5pELW5tv|
|24         |2,500,000    |506,483    |79.74066139                                      |j4U5d7ZWhjtD5NivHcUA35mV6C6R6enqcesevQejkSgzBxj9K|
|25         |2,233,334    |469,000    |79.00000627                                      |j4RsdmY7f4Vq1guZ74F6s4qX2Vwz7QXth2bxykmojFpAoGCQn|
|26         |1,668,317    |350,346    |79.00003417                                      |j4SYghLtumNZA45uip6vgpWThsKxiEgs64MYEkWsQPZHUR2rX|
|27         |1,666,834    |350,035    |79.0000084                                       |j4V5bJFszkM8d59bWM6ARFUBmPRoZmu6AXJBKbDYzDFgXYP11|
|28         |1,666,667    |350,000    |79.0000042                                       |j4UGbwdVMnJZr5dcbpnNdWp6YpkHGBsAnephnNGCDSaFYTQVn|
|29         |1,666,667    |350,000    |79.0000042                                       |j4RUfxXaEHTQnKGvVtnhwy43UgYGyQZ2HeDTJ6KSSN4XwZAxY|
|30         |1,100,000    |231,000    |79                                               |j4SbAvmFXSVuKu2Gww6JJuAWm7Auqm19EX2EkhcPwdqUtXazX|
|31         |833,473      |175,029    |79.00003959                                      |j4UiSpDJGdUwJzAMxYyk7PZRtUGUkDvATvZqC88nCX1MTn63h|
|32         |833,473      |175,029    |79.00003959                                      |j4VpRn4YdfFjm7cTAZPXDFWRnmj2mDjGhLssNQXe5t2rqbdmx|
|33         |833,471      |175,028    |79.00010918                                      |j4X5Heyaw2hBXpQNuepRkzE5zjtajjmsqS2ioaL8NeRRKKqpX|
|34         |833,334      |175,000    |79.0000168                                       |j4T92vWgKQFdRCNED348aHP1RdVY1H39mDtoYgNG7i8vkMevi|
|35         |833,334      |175,000    |79.0000168                                       |j4Voo7nEJq9jZCPT6BkaMZBmyWWoGvuA9YT2mCFmuE4cbp5e1|
|36         |833,334      |175,000    |79.0000168                                       |j4SECCTSmRgL2LZbzQbJtpohjZuk9C4i8vFdBpHpXAxt7WRYV|
|37         |832,917      |174,912    |79.00006843                                      |j4RgetzY28i4fADTMwh1k8QnqDjbgCMd8eXmKbbpeNbQGV61t|
|38         |790,002      |175,000    |77.84815544                                      |j4T74GEvJnhHD8Cgs4koox5hmFT9GsGEfJr8NTJq1qZurBpoQ|
|39         |750,000      |157,500    |79                                               |j4RxsLAn8k1TXH592hdHru9Kyz7o2heTXw9SxUaKqYVyxUA5L|
|40         |500,000      |105,000    |79                                               |j4W2PA64uDT9JwrQYdeixHaAUyd2pqaNFibUZvMGt7dPBUgiM|
|41         |416,667      |87,500     |79.0000168                                       |j4VbPDrSP8DNk9xDEUuaJsfdvjV4SSkXibXpefkT7xFRZBV21|
|42         |261,000      |50,000     |80.8429105                                       |j4Vu9iwKQZ4g84ihAsDxqjPBvmSVmArHNN1tZWRMjBSJJpgAU|
|43         |250,000      |52,500     |79                                               |j4TjXZaxuieCYiDSrd9rnKq1rJgzR3JToFkJLr8q36Su3WHBE|


