### Conflict and Dispute Resolution
This document is aimed at when disputes arise on the platform. It is not intended for personal disputes but for problems relating to the platform.

Joystream is a DAO and our forums will be publicly accessible, for disputes relating to the platform it is important these be raised in a certain way so that the community can see that they are being dealt with transparently.

With any dispute it is important to remember that communication is critical and that resolving disputes can take time. Patience is required.

It is also important to remember that disputes can be very expensive for the platform. If disputes carry on and are not resolved it can impact other participants in unintentional ways or create an unpleasant atmosphere. If it interferes with critical platform business then it can be extremely expensive to leave unresolved.

#### Process
1. Create a forum thread for the dispute. Give it an easily understandable title and place it in an appropriate area.

2. Make sure you list out in detail what the issue is, include links and detail.

3. Make sure you say what you expect as an outcome or resolution.

4. Tag or notify the person(s) that the issue is intended for.

5. Wait for a response (it may be necessary to include some form of reasonable deadline so that people understand from the beginning what the expectation is)

Hopefully, the other party will respond.

#### Arbitration
If the dispute is not solved, at this stage the best thing to do would be to try and find a community member who is known to be impartial to arbitrate. The decision of this arbiter will usually be binding depending on the exact circumstances (meaning they have to agree with the outcome)

* Both parties should agree on who this is, or it could be left up to a forum poll.

If this person agrees to help resolve the issue, they should then:

1. Investigate the problem at length, making sure to get a good understanding of what the problem is.

2. Decide and write down on a reasonable outcome (there could be more than one outcome which the community can vote on through a forum poll)

3. Issue the report publicly.

Not all problems will have easy or obvious outcomes, so it is not always possible to resolve all disputes. In these situations people may just have to agree to disagree or use a `text proposal` for the matter--this should not be a first result as it is expensive and takes up council time.
