# Tokenomics + Network Report

This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information

* Block range: 4597200 - 4697999
* Date Range: 02/23/2022 19:56:06 - 03/02/2022 20:26:48
* Council session #: 45
* Term Duration [s]: 606642
* Ideal Term Duration [s]: 604794
* Difference: 1848s (31 minutes)
* Average Block Time: 6.018s

## 2.0 Tokenomics

### 2.1 Token generation breakdown

| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  2952552894 | 2978405899 | 0.88 |
| USD Pool |  65152.26 | 62502.08 | -4.07 |

| Role                | Value        |
|---------------------|--------------|
| Total Tokens Burned | 132664012 |
| Spending Proposals (Executed) | 26808575 |
| Bounties paid       | 21158837 |
| Validator Role      | 5927344 |
| Council | 29724575 |
| Curators | 10306184 |
| Storage Providers | 11503343 |
| Distribution | 30997033 |
| Operations | 51002028 |
| Marketing | 9159688 |
| HR | 0 |


### 2.2 Fiat Pool

| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool |  65152.26 | 62502.08 | -4.07 |



### 2.3 Mints

| Minted per Role             | Start Block           | End Block | Difference | % Change |
|-----------------------------|-----------------------|-----------|------------|----------|
| Council Total Minted | 1459345541.00 | 1489070116.00 | 29724575 | 2.04 |
| Curators Minted | 315062939.00 | 325369123.00 | 10306184 | 3.27 |
| Storage Providers Minted | 288695715.00 | 300199058.00 | 11503343 | 3.98 |
| Distribution Minted | 70232247.00 | 101229280.00 | 30997033 | 44.14 |
| Operations Minted | 453371511.00 | 504373539.00 | 51002028 | 11.25 |
| Marketing Minted | 12675624.00 | 21835312.00 | 9159688 | 72.26 |
| HR Minted | 0.00 | 0.00 | 0 | 0 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 22.08
* End Block Exchange Rate, USD/1M tJOY: 21.11
* Inflation, %: 4.37

Negative value indicates deflation

## 3.0 Council

* Council session #: 45
* Number of council members: 12
* Total number of proposals: 21
* Total number of Approved proposals: 17

### 3.1 Elections

| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 22 |
| Total Applicant Stake       | 402717211 |
| Total Votes                 | 31 |

## 4 Roles

### 4.1 Validator Information

* Block generation time (average): 6.02

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 53 / 75 | 47 / 75 | -11.32 |
| Validator Total Stake      | 499332890 | 523128961 | 4.77 |

### 4.2 Curators
* [openings for contentWorkingGroup](https://testnet.joystream.org/#/working-groups/opportunities/curators)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 8 | 8 | 0 |
| Total  Stake | 500000 | 500000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 0 | 0.0 | 11.8 |
| 16 | [@kira_skipper](https://pioneer.joystreamstats.live/#/members/kira_skipper) | active | 13 | 1.0 | 34.6 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 13 | 1.0 | 31.1 |
| 22 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 13 | 1.0 | 26.7 |
| 23 | [@oxygen](https://pioneer.joystreamstats.live/#/members/oxygen) | active | 65 | 4.4 | 30.2 |
| 24 | [@spat_sochi](https://pioneer.joystreamstats.live/#/members/spat_sochi) | active | 13 | 1.0 | 10.4 |
| 27 | [@arseniy2706](https://pioneer.joystreamstats.live/#/members/arseniy2706) | active | 13 | 1.0 | 8.4 |
| 28 | [@jen4ph](https://pioneer.joystreamstats.live/#/members/jen4ph) | active | 13 | 1.0 | 8.3 |


### 4.3 Storage Providers
* [openings for storageWorkingGroup](https://testnet.joystream.org/#/working-groups/opportunities/storageProviders)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 11 | 11 | 0 |
| Total  Stake | 1100000 | 1100000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 13 | 1.1 | 29.7 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 13 | 1.0 | 28.2 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 13 | 1.1 | 28.8 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 13 | 1.1 | 24.7 |
| 16 | [@plycho](https://pioneer.joystreamstats.live/#/members/plycho) | active | 13 | 1.1 | 25.4 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 13 | 1.1 | 24.5 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 3 | 0.3 | 20.3 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |
| 21 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 13 | 1.1 | 18.6 |
| 22 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 43 | 3.6 | 45.1 |


### 4.4 Distribution
* [openings for distributionWorkingGroup](https://testnet.joystream.org/#/working-groups/opportunities/distribution)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 14 | 14 | 0 |
| Total  Stake | 12000000 | 12000000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 2 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 23 | 2.0 | 9.4 |
| 3 | [@razumv](https://pioneer.joystreamstats.live/#/members/razumv) | active | 17 | 1.4 | 8.1 |
| 4 | [@art_khabibullin](https://pioneer.joystreamstats.live/#/members/art_khabibullin) | active | 3 | 0.2 | 4.4 |
| 5 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 80 | 6.6 | 26.8 |
| 6 | [@ilich](https://pioneer.joystreamstats.live/#/members/ilich) | active | 5 | 0.4 | 4.8 |
| 7 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 5 | 0.4 | 5.6 |
| 8 | [@oxygen](https://pioneer.joystreamstats.live/#/members/oxygen) | active | 53 | 4.4 | 10.0 |
| 9 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 61 | 5.1 | 12.4 |
| 10 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 21 | 1.8 | 7.5 |
| 11 | [@spat_sochi](https://pioneer.joystreamstats.live/#/members/spat_sochi) | active | 42 | 3.0 | 3.2 |
| 12 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 53 | 4.4 | 6.0 |
| 13 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 3 | 0.2 | 0.6 |
| 14 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 0 | 0.0 | 0.1 |
| 15 | [@alexznet](https://pioneer.joystreamstats.live/#/members/alexznet) | active | 14 | 1.1 | 2.4 |


### 4.5 Operations
* [openings for operationsWorkingGroupAlpha](https://testnet.joystream.org/#/working-groups/opportunities/operationsGroupAlpha)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 23 | 23 | 0 |
| Total  Stake | 1850000 | 1850000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 40 | 4.0 | 85.2 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 69 | 7.0 | 49.4 |
| 16 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 14 | 1.4 | 71.7 |
| 17 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 69 | 7.0 | 26.1 |
| 18 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 69 | 7.0 | 28.8 |
| 20 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 15 | 1.5 | 30.4 |
| 22 | [@arseniy2706](https://pioneer.joystreamstats.live/#/members/arseniy2706) | active | 28 | 2.8 | 9.9 |
| 24 | [@shtihmas](https://pioneer.joystreamstats.live/#/members/shtihmas) | active | 0 | 0.0 | 1.6 |
| 31 | [@ilich](https://pioneer.joystreamstats.live/#/members/ilich) | active | 3 | 0.3 | 3.5 |
| 32 | [@kate_fm](https://pioneer.joystreamstats.live/#/members/kate_fm) | active | 3 | 0.3 | 5.0 |
| 33 | [@ururu](https://pioneer.joystreamstats.live/#/members/ururu) | active | 3 | 0.3 | 9.5 |
| 34 | [@andybut](https://pioneer.joystreamstats.live/#/members/andybut) | active | 33 | 3.4 | 67.9 |
| 36 | [@chiffah](https://pioneer.joystreamstats.live/#/members/chiffah) | active | 4 | 0.4 | 6.5 |
| 39 | [@whitebarbie](https://pioneer.joystreamstats.live/#/members/whitebarbie) | active | 14 | 1.4 | 19.4 |
| 44 | [@oxygen](https://pioneer.joystreamstats.live/#/members/oxygen) | active | 3 | 0.3 | 5.5 |
| 45 | [@spat_sochi](https://pioneer.joystreamstats.live/#/members/spat_sochi) | active | 3 | 0.3 | 7.0 |
| 48 | [@vlodkowjs](https://pioneer.joystreamstats.live/#/members/vlodkowjs) | active | 28 | 2.8 | 7.2 |
| 49 | [@darcksday](https://pioneer.joystreamstats.live/#/members/darcksday) | active | 28 | 2.8 | 7.2 |
| 50 | [@jen4ph](https://pioneer.joystreamstats.live/#/members/jen4ph) | active | 3 | 0.3 | 1.6 |
| 51 | [@igor171](https://pioneer.joystreamstats.live/#/members/igor171) | active | 3 | 0.3 | 1.6 |
| 55 | [@ars44](https://pioneer.joystreamstats.live/#/members/ars44) | active | 69 | 7.0 | 13.3 |
| 56 | [@oskarte](https://pioneer.joystreamstats.live/#/members/oskarte) | active | 3 | 0.3 | 1.6 |
| 57 | [@arsonque](https://pioneer.joystreamstats.live/#/members/arsonque) | active | 3 | 0.3 | 1.6 |


### 4.6 Marketing
* [openings for operationsWorkingGroupBeta](https://testnet.joystream.org/#/working-groups/opportunities/operationsGroupBeta)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 7 | 11 | 57.14 |
| Total  Stake | 500000 | 600000 | 20 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 87 | 8.0 | 19.0 |
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 4 | 0.4 | 0.9 |
| 2 | [@marat_mu](https://pioneer.joystreamstats.live/#/members/marat_mu) | active | 4 | 0.4 | 0.9 |
| 3 | [@kate_fm](https://pioneer.joystreamstats.live/#/members/kate_fm) | active | 4 | 0.4 | 0.9 |
| 4 | [@adovrn](https://pioneer.joystreamstats.live/#/members/adovrn) | active | 0 | 0.0 | 0.0 |
| 5 | [@kriptos](https://pioneer.joystreamstats.live/#/members/kriptos) | active | 0 | 0.0 | 0.0 |
| 6 | [@shtihmas](https://pioneer.joystreamstats.live/#/members/shtihmas) | active | 0 | 0.0 | 0.0 |
| 7 | [@kira_skipper](https://pioneer.joystreamstats.live/#/members/kira_skipper) | active | 0 | 0.0 | 0.0 |
| 8 | [@andybut](https://pioneer.joystreamstats.live/#/members/andybut) | active | 0 | 0.0 | 0.0 |
| 9 | [@oskarte](https://pioneer.joystreamstats.live/#/members/oskarte) | active | 0 | 0.0 | 0.0 |
| 10 | [@abramaria_](https://pioneer.joystreamstats.live/#/members/abramaria_) | active | 0 | 0.0 | 0.0 |


### 4.7 HR
* [openings for operationsWorkingGroupGamma](https://testnet.joystream.org/#/working-groups/opportunities/operationsGroupGamma)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 1 | 1 | 0 |
| Total  Stake | 1000000 | 1000000 | 0 |



## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 3394|  3416 | 0.65 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 15398 | 15476  |  0.51 |
| Size of content (MB)    |  3679772.98 |  3699507.91 | 0.54 |
| Number of channels      |  964 | 976 | 1.24 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 57 | 57 | 0 |
| Number of threads    | 960 | 964 | 0.42 |
| Number of posts      | 11263 | 11363 | 0.89 |
